Results 1 to 3 of 3

Thread: Help needed: creating complex LISP

  1. #1
    Woo! Hoo! my 1st post
    Join Date
    2016-10
    Posts
    1
    Login to Give a bone
    0

    Default Help needed: creating complex LISP

    Hi,

    I want to create a LISP that does following actions:
    1. You have a closed polyline on layer "XXX"
    2. The original polyline should be placed on a frozen layer "D_XXX" and a duplicate of the original polyline should be made on layer "N_XXX"
    3. The polyline on layer "N_XXX" should be trimmed between two selected points
    4. A new polyline should be drawn on layer "A_XXX" and should be duplicated
    5. One of the duplicates should be joined with the remaining part of the polyline on "N_XXX".
    6. The end result should be: the original polyline on layer "D_XXX", the modified part of the polyline on layer "A_XXX" and the new version of the polyline on layer "N_XXX"


    My question is: how should I get started with this. I've allready made some simple LISP's but this is way beyond. Any help is appreciated!

    The attached DWG shows you what the LISP needs to do.
    Attached Files Attached Files

  2. #2
    Member
    Join Date
    2002-08
    Posts
    43
    Login to Give a bone
    0

    Default Re: Help needed: creating complex LISP

    You know lisp at all ? What about the selected point ? What about the new polyline to be drawn ?

  3. #3
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    561
    Login to Give a bone
    0

    Default Re: Help needed: creating complex LISP

    An easy way to copy an object example

    Code:
    (setq obj (entget (car (entsel))))
    (entmake obj)
    or even shorter
    (entmake (entget (car (entsel))))

Similar Threads

  1. Creating parcels with complex conditions
    By Yancka in forum AutoCAD Civil 3D - Parcels
    Replies: 2
    Last Post: 2007-08-31, 11:02 AM
  2. Creating Stairs with complex curves
    By tugalo in forum Revit Architecture - General
    Replies: 1
    Last Post: 2006-04-02, 03:42 AM
  3. Help with creating a new Complex Linetype
    By VBOYAJI in forum AutoCAD Customization
    Replies: 4
    Last Post: 2006-03-09, 12:09 AM
  4. Complex Wall Design - Help Needed
    By pashley in forum Revit Architecture - General
    Replies: 5
    Last Post: 2004-11-11, 07:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •